Package org.eclipse.emf.cdo.net4j

# Interface CDOSession.Options

All Superinterfaces:
  `CDOCommonSession.Options`, `CDONet4jSession.Options`, `CDOSession.Options`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.options.IOptions`

Enclosing interface:
  `CDOSession`

@Deprecated public static interface CDOSession.Options extends CDONet4jSession.Options
Deprecated.
Use `CDONet4jSession.Options`.
Deprecated, use `CDONet4jSession.Options`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options

`CDOCommonSession.Options.LockNotificationEvent, CDOCommonSession.Options.LockNotificationMode, CDOCommonSession.Options.LockNotificationModeEvent, CDOCommonSession.Options.PassiveUpdateEvent, CDOCommonSession.Options.PassiveUpdateMode`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession.Options

`CDOSession.Options.CollectionLoadingPolicyEvent, CDOSession.Options.DelegableViewLockEvent, CDOSession.Options.GeneratedPackageEmulationEvent, CDOSession.Options.LobCacheEvent, CDOSession.Options.PermissionUpdaterEvent, CDOSession.Options.PrefetchSendMaxRevisionKeysEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.signal.ISignalProtocol<CDOSession>`
`getProtocol()`
Deprecated.
Kept for 4.0 compatibility.

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options

`getLockNotificationMode, getPassiveUpdateMode, isLockNotificationEnabled, isPassiveUpdateEnabled, setLockNotificationEnabled, setLockNotificationMode, setPassiveUpdateEnabled, setPassiveUpdateMode`

### Methods inherited from interface org.eclipse.emf.cdo.net4j.CDONet4jSession.Options

`getCommitTimeout, getNet4jProtocol, getProgressInterval, getSignalTimeout, setCommitTimeout, setProgressInterval, setSignalTimeout`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession.Options

`getCollectionLoadingPolicy, getContainer, getLobCache, getPermissionUpdater, getPrefetchSendMaxRevisionKeys, isDelegableViewLockEnabled, isGeneratedPackageEmulationEnabled, setCollectionLoadingPolicy, setDelegableViewLockEnabled, setGeneratedPackageEmulationEnabled, setLobCache, setPermissionUpdater, setPrefetchSendMaxRevisionKeys`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getProtocol

@Deprecated org.eclipse.net4j.signal.ISignalProtocol<CDOSession> getProtocol()
Deprecated.
Kept for 4.0 compatibility. Newer code should call `CDONet4jSession.Options.getNet4jProtocol()`.
Returns the Net4j `protocol` instance that represents the underlying signalling connection to the repository of this session.

See Also:
  - `CDONet4jSession.Options.getNet4jProtocol()`